import { Radio, RadioGroup, View } from "@tarojs/components";
import './index.less'
import { useState } from "react";
type Props = {
    data: any[]
}
function ShubiBox(props: Props) {
    let { data } = props
    let [eq, setEq] = useState(0)
    let [ok, setOk] = useState(false)
    return <>
        <View className="shubi_box">
            {
                data?.map((item, index) => {
                    return <View className={`shubi_box_k ${eq === index ? "ac" : ""}`} onClick={() => { setEq(index) }}>
                        <View className="shubi_box_num">100</View>
                        <View className="shubi_box_price">1元</View>
                        <View className="shubi_box_give">赠100书币</View>
                    </View>
                })
            }
        </View>
        <View className="shubi_box_btn" onClick={() => { setOk(true) }}>确认协议并以1元充值</View>
        <View className="shubi_box_gz">
            <RadioGroup onChange={(e: any) => {
                setOk(true)
            }}>
                <Radio checked={ok} value='选中' >已阅读并同意《充值规则》</Radio>
            </RadioGroup>

        </View>
    </>
}
export default ShubiBox